WordPress.org

Support

Support » Plugins and Hacks » Sociable Plugin not working

Sociable Plugin not working

  • Hello

    I’m wondering if anyone has seen the following issue with the Sociable Plugin.

    I can activate the plugin, but when I go to the options and rearrange the icons and click save, I get a series of errors –

    Warning: implode(): Bad arguments. in /usr/www/virtual/userid/www.domain name.com/wp-content/plugins/sociable/sociable.php on line 651

    Warning: Invalid argument supplied for foreach() in /usr/www/virtual/userid/www.domain name.com/wp-content/plugins/sociable/sociable.php on line 762

    I’ve uploaded the files in both text mode and binary, same issue. I’m using WP 2.2. I should say this is the first time I have used this plugin, but have many other plugins activated on my blog without issue.

    Just not sure what else it could be.

    Thank you

    Carmen

Viewing 15 replies - 1 through 15 (of 28 total)
  • Definitely, never upload a php file in binary – only as text (ascii).
    Is the plugin compatible with your WP version?

    Yes, I’ve always uploaded in ascii, just in one of the google searches for the error message, someone suggested binary, so I thought why not, it’s not working anyways.

    I’ve since deleted the files and gone back to ascii upload.

    I just installed Sociable and am having another issue:

    its installed, activated and config’ed it in WP’s Options area, but the icons (Digg, Newsvine etc..) don’t show up on my posts…

    Am I missing something?

    I have same problem (carmen101’s problem).

    using WP 2.2 and Sociable 2.0 on localhost (XAMMP 1.6.1)

    Warning: implode() [function.implode]: Bad arguments. in C:\Program Files\xampp\htdocs\blog\wp-content\plugins\sociable\sociable.php on line 651

    Warning: Invalid argument supplied for foreach() in C:\Program Files\xampp\htdocs\blog\wp-content\plugins\sociable\sociable.php on line 762

    I have the same problem also…implode etc etc with wordpress 2.2.

    Maybe the plugin simply isn’t compatible with 2.2? Or needs also upgrading?
    Check out the author’s site.

    Evening All

    I get the following but from reading above, it seems I am not alone. I have emailed the author twice but have yet to get a response.

    Warning: implode() [function.implode]: Bad arguments. in /home/
    michaelb/public_html/michaelsviews/wp-content/plugins/sociable/
    sociable.php on line 651

    Warning: Invalid argument supplied for foreach() in /home/michaelb/
    public_html/michaelsviews/wp-content/plugins/sociable/sociable.php on
    line 762

    If anyone has any information please pass it along

    kinda same problem. 2.2.

    It actually works until I try to save and I get that error message. if I reset it doesn’t give an error.

    I could have sworn that we had this problem with it on the wpmu platform as well.

    Worked for some but not for others.

    Sure would be nice for the author to reply to emails and or the posts here

    Hi All – I am having the exact same problem as described above – the plugin only works with the default settings, any changes at all trigger those two errors upon saving.

    I have also emailed the developer directly 3 times with no response. I thought I’d post to try to keep this one alive in the hopes that someone, even if it’s not the developer, will take a look at the sociable.php file and see if they can fix this problem – it really is a great plugin but I’m sure we’d all like to take advantage of it’s customization features if we could….

    I don’t have the answer I just wanted to say I am experiencing the same errors for sociable 2.0.

    I get these errors as well; and yet the plugin seems to work just exactly as it should. I’m using Sociable 2.0 and WordPress 2.2. I was able to customize it just as I wanted.

    Give the developer a break. He probably has a job, and maybe even a life.

    Are other people who are having this error finding that the plugin simply doesn’t work? For the person who didn’t see the share section, did you see that you can control which kinds of pages show it? By default, it doesn’t show on your home page, only on individual post pages.

    I am getting the function implode error as well.

    JoeGermuska – to respond to your question, I can’t speak for others but when I make changes using the customization feature and get the error, then no, it does not work at all. It does not show up on the post pages at all. Thus, in order to have this work, I have to “restore” the default settings, which leaves out quite a few of the social bookmarking sites I want to add. Even if I don’t change any of the bookmarking sites but just want to add the default ones to my home page I get the errors, and it doesn’t work on any page then.

    And I understand that the developer probably has a full time job and a life and all that – as do many of us – but a simple, quick (30 second) reply in this post to say “sorry I”m busy but I’ll look at it next week or next month” would suffice. And yes, if you’re wondering, I’ve told him about this post so that he can see for himself that it’s ONE problem that a lot of people are having. No response at all.

    Which is sad – this COULD be a really great plugin if it worked as promised.

Viewing 15 replies - 1 through 15 (of 28 total)
  • The topic ‘Sociable Plugin not working’ is closed to new replies.
Skip to toolbar